org.apache.ignite

## Class IgniteInterruptedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.ignite.IgniteException
        - - org.apache.ignite.IgniteInterruptedException

- All Implemented Interfaces:
    Serializable

      public class IgniteInterruptedException
      extends IgniteException

  This exception is used to wrap standard `InterruptedException` into `IgniteException`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IgniteInterruptedException(InterruptedException cause)` Creates new exception with given throwable as a nested cause and source of error message.
    `IgniteInterruptedException(String msg)` Creates a new exception with given error message and optional nested cause exception.
    `IgniteInterruptedException(String msg, InterruptedException cause)` Creates a new exception with given error message and optional nested cause exception.

  - ### Method Summary

    - ### Methods inherited from class org.apache.ignite.IgniteException

      `getCause, hasCause, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IgniteInterruptedException

          public IgniteInterruptedException(InterruptedException cause)

      Creates new exception with given throwable as a nested cause and source of error message.
      Parameters:
        `cause` - Non-null throwable cause.

    - #### IgniteInterruptedException

          public IgniteInterruptedException(String msg)

      Creates a new exception with given error message and optional nested cause exception.
      Parameters:
        `msg` - Error message.

    - #### IgniteInterruptedException

          public IgniteInterruptedException(String msg,
                                            InterruptedException cause)

      Creates a new exception with given error message and optional nested cause exception.
      Parameters:
        `msg` - Error message.
        `cause` - Optional nested exception (can be `null`).

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022